GHNManager (Resource Management Library 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.resourcemanagement.support.server.managers.resources
Class GHNManager

    java.lang.Object
      org.gcube.resourcemanagement.support.server.managers.resources.AbstractResourceManager
          org.gcube.resourcemanagement.support.server.managers.resources.GHNManager

    public class GHNManager

extends AbstractResourceManager

Author:
  Daniele Strollo (ISTI-CNR)

Constructor Summary
`GHNManager()` Deprecated. discouraged use. With no ID some operations cannot be accessed.
`GHNManager(String id)`
`GHNManager(String id, String name)`
`GHNManager(String id, String name, String subtype)`

Method Summary
`String` | `addToNewScope(org.gcube.common.scope.impl.ScopeBean sourceScope, org.gcube.common.scope.impl.ScopeBean targetScope, String scopeMap)` Add a scope to a gHN and the related Service Map that is not available on the gHN.
`protected org.gcube.common.resources.gcore.Resource` | `buildResource(String xmlRepresentation)` Given the XML profile representation of a gcube resource, its GCUBEResource is built.
`org.gcube.common.vremanagement.ghnmanager.client.GHNManagerLibrary` | `getGHNManager(org.gcube.common.scope.impl.ScopeBean scope)` Required information: The name of the resource must be specified and valid.
`void` | `shutDown(org.gcube.common.scope.impl.ScopeBean scope, boolean restart, boolean clean)` Implements all the three possible shutdown policies according to restart and clean parameters.

Methods inherited from class org.gcube.resourcemanagement.support.server.managers.resources.AbstractResourceManager
`addToExistingScope, copyFromToVO, delete, forceDelete, getID, getName, getRegistryPublisher, getReportResourceManager, getResource, getResourceManager, getSubType, getType, getXMLDescription, removeFromScope, setID, validateScopes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GHNManager

    public GHNManager()
               throws ResourceParameterException,
                      ResourceAccessException

  Deprecated. discouraged use. With no ID some operations cannot be accessed.

  Throws:
    `ResourceParameterException`
    `ResourceAccessException`

### GHNManager

    public GHNManager(String id)
               throws ResourceParameterException,
                      ResourceAccessException

Parameters:
  `id` - the identifier of wrapper resource.
Throws:
  `ResourceParameterException`
  `ResourceAccessException`

### GHNManager

    public GHNManager(String id,
                      String name)
               throws ResourceParameterException,
                      ResourceAccessException

Parameters:
  `id` -
  `name` -
Throws:
  `ResourceParameterException`
  `ResourceAccessException`

### GHNManager

    public GHNManager(String id,
                      String name,
                      String subtype)
               throws ResourceParameterException,
                      ResourceAccessException

Parameters:
  `id` -
  `name` -
  `subtype` -
Throws:
  `ResourceParameterException`
  `ResourceAccessException`

Method Detail

### addToNewScope

    public final String addToNewScope(org.gcube.common.scope.impl.ScopeBean sourceScope,
                                      org.gcube.common.scope.impl.ScopeBean targetScope,
                                      String scopeMap)
                               throws AbstractResourceException

  Add a scope to a gHN and the related Service Map that is not available on the gHN.

  Required information:
  The ID of the resource must be specified and valid.

  Parameters:
    `scope` -
    `scopeMap` -
  Returns:
    the generated reportID
  Throws:
    `ResourceParameterException`
    `ResourceOperationException`
    `AbstractResourceException`

### getGHNManager

    public final org.gcube.common.vremanagement.ghnmanager.client.GHNManagerLibrary getGHNManager(org.gcube.common.scope.impl.ScopeBean scope)
                                                                                           throws AbstractResourceException

  Required information:
  The name of the resource must be specified and valid. It is used to retrieve the GHN manager URL.

  Parameters:
    `scope` - the scope in which the manager is bound.
  Returns:
  Throws:
    `AbstractResourceException`

### shutDown

    public final void shutDown(org.gcube.common.scope.impl.ScopeBean scope,
                               boolean restart,
                               boolean clean)
                        throws AbstractResourceException

  Implements all the three possible shutdown policies according to restart and clean parameters.

  Required information:
  The ID of the resource must be specified and valid.

  Parameters:
    `scope` -
    `restart` -
    `clean` -
  Throws:
    `ResourceOperationException`
    `ResourceAccessException`
    `ResourceParameterException`
    `AbstractResourceException`

### buildResource

    protected final org.gcube.common.resources.gcore.Resource buildResource(String xmlRepresentation)
                                                                     throws AbstractResourceException

  Description copied from class: `AbstractResourceManager`
  Given the XML profile representation of a gcube resource, its GCUBEResource is built. Since it depends on the type of the resource, each concrete implementation of resource managers must implement it.

  Specified by:
    `buildResource` in class `AbstractResourceManager`
  Returns:
  Throws:
    `AbstractResourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.